import React, { memo } from 'react';
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
const MentionBase = ({
  attributes,
  children,
  element
}) => {
  return /*#__PURE__*/_jsx("span", {
    ...attributes,
    contentEditable: false,
    className: "mention",
    children: /*#__PURE__*/_jsxs("span", {
      contentEditable: false,
      children: [children, "@", element.mention]
    })
  });
};
MentionBase.displayName = 'Mention';
export const Mention = /*#__PURE__*/memo(MentionBase);